Summary
Import backup documents
Description
Insert backup documents into the ucm_configs collection
Route
POST /configuration_manager/import/backups
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| backups |
array |
yes |
Array of device configs |
Copied to Clipboard
{
"backups": [
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "reprehenderit esse proident ea nostrud",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [],
"read": [
"498caac60f99e8abfe1981cc",
"9b9ab311c875bf757feefd59",
"c43bffc0ff9d664003dd923a"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "enim consequat commodo ullamco",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"e481d6c19c2342c72bab7a9f",
"6cedda344e0e08a883abb9b3"
],
"read": [
"f17d8b0ec7d3e317e8853469"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "eiusmod nisi",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"00cae7332cb05fa76bd43b7c"
],
"read": [
"61a47d98405479939722e491"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "ullamco ex anim",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"09a6049bf7a3b4faffec3f1d",
"9e12ea70f638565533d7c68c",
"6883bdedd00cb95b46eeeb91"
],
"read": [
"91f690c67d364e3bbddc8ffe",
"6b3a679cb95ce19ef02ec251",
"f2cee96eaf3a7b577cfbad31",
"c7c9711c4f74c58dd92a622a"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "aliqua amet",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"41b500e41c16cbb3a16d789a",
"8c5b5c32d34455ada8ae22aa"
],
"read": [
"8d581045090229a8db46f6ea",
"af8b3cf8a52e01dd5f09936a"
]
}
}
]
}
Copied to Clipboard
{
"type": "object",
"properties": {
"backups": {
"title": "backups",
"type": "array",
"items": {
"$ref": "deviceData#/definitions/backup"
}
}
},
"required": [
"backups"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| status |
object |
Status of backup import operation |
Copied to Clipboard
{
"status": "success",
"message": "enim"
}
Copied to Clipboard
{
"title": "status",
"type": "object",
"properties": {
"status": {
"type": "string",
"const": "success"
},
"message": {
"type": "string",
"example": "2 device backups imported successfully"
}
}
}